Get Notes
Get Appointment Notes
GET
/
calendars
/
appointments
/
{appointmentId}
/
notes
Get Notes
curl --request GET \
--url https://services.leadconnectorhq.com/calendars/appointments/{appointmentId}/notes \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/calendars/appointments/{appointmentId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/appointments/{appointmentId}/notes"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"notes": [
{
"id": "HGPcayliwcdoUFzvbTok",
"body": "lorem ipsum",
"userId": "TUcmRxWrjqzJS8EjkxNK",
"dateAdded": "2021-07-08T12:02:11.285Z",
"contactId": "TUcmRxWrjqzJS8EjkxNK",
"createdBy": {
"id": "TUcmRxWr",
"name": "John Doe"
}
}
],
"hasMore": true
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Query Parameters
Last modified on March 8, 2026
Was this page helpful?
Get Notes
curl --request GET \
--url https://services.leadconnectorhq.com/calendars/appointments/{appointmentId}/notes \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/calendars/appointments/{appointmentId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/appointments/{appointmentId}/notes"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"notes": [
{
"id": "HGPcayliwcdoUFzvbTok",
"body": "lorem ipsum",
"userId": "TUcmRxWrjqzJS8EjkxNK",
"dateAdded": "2021-07-08T12:02:11.285Z",
"contactId": "TUcmRxWrjqzJS8EjkxNK",
"createdBy": {
"id": "TUcmRxWr",
"name": "John Doe"
}
}
],
"hasMore": true
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}